[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.ExtendedKeysSupport

Controls whether extended key codes are available in key down and key up messages.

## Declaration

Source position: forms.pp line 1721

`public property TApplication.ExtendedKeysSupport : Boolean read FExtendedKeysSupport write FExtendedKeysSupport;`

## Description

When enabled, ExtendedKeysSupport causes Shift, Ctrl, and Alt (Menu) (Options or Mac OS) to generate distinct values for the left and right keys. The values can then be handled in OnKeyDown and OnKeyUp event handlers, or in overridden KeyDown and KeyUp methods.

See VK_LSHIFT in LCLType for more details.

## See also

VK_LSHIFT |  |